org.h2.util

## Class DateTimeTemplate

- java.lang.Object
- - org.h2.util.DateTimeTemplate

    public final class DateTimeTemplate
    extends java.lang.Object

Date-time template.

### Nested Class Summary

Nested Classes
`static class` `DateTimeTemplate.FieldType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `format(Value value)`
`static DateTimeTemplate` `of(java.lang.String template)`
`Value` `parse(java.lang.String string, TypeInfo targetType, CastDataProvider provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static DateTimeTemplate of(java.lang.String template)

#### format

    public java.lang.String format(Value value)

#### parse

    public Value parse(java.lang.String string,
                       TypeInfo targetType,
                       CastDataProvider provider)